# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $Id$

EAPI="5"

inherit cmake-utils

DESCRIPTION="library to read and write MPQ archives"
HOMEPAGE="http://www.zezula.net/en/mpq/main.html"
SRC_URI="http://people.znc.in/~dessa/ghost/deps/${P}.tar.xz"

RESTRICT="mirror"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="=dev-libs/libtomcrypt-1.17-r7
	sys-libs/zlib
	app-arch/bzip2"
RDEPEND="${DEPEND}"

src_prepare() {
	epatch "${FILESDIR}/${PN}-multilib.patch"
}

src_configure() {
	local mycmakeargs="
		-DWITH_LIBTOMCRYPT=ON"

	cmake-utils_src_configure
}
